Skip to main content
PATCH

Authorizations

Authorization
string
header
required

An access token must be provided in the Authorization header using the Bearer scheme.

Path Parameters

project_id
string<uuid>
required

Project ID

Body

application/json

Project details to be updated. Fields that are omitted will not be updated.

name
string

The name of the new project.

Required string length: 1 - 512
Example:

"chatbot-prod"

max_pods
integer

The maximum number of Pods that can be created in the project.

force_encryption_with_cmek
boolean

Whether to force encryption with a customer-managed encryption key (CMEK). Once enabled, CMEK encryption cannot be disabled.

Response

The project was successfully updated.

The details of a project.

id
string<uuid>
required

The unique ID of the project.

name
string
required

The name of the project.

Required string length: 1 - 512
max_pods
integer
required

The maximum number of Pods that can be created in the project.

force_encryption_with_cmek
boolean
required

Whether to force encryption with a customer-managed encryption key (CMEK).

organization_id
string
required

The unique ID of the organization that the project belongs to.

created_at
string<date-time>

The date and time when the project was created.